
package de.ivu.elect.business.system.control;

import java.util.Collection;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;
import de.ivu.elect.business.konfiguration.entity.MandantKonfigurationWerte;
import de.ivu.elect.business.security.entity.StandardRollenAnpassbarArt;


import static java.util.Arrays.asList;

/**
 *  on 01.12.2015.
 */
public class RollenKonfigurationInit extends AbstractKonfigurationInit {

  public RollenKonfigurationInit() {
    super();
  }

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    return asList( //
        create(MandantKonfigurationWerte.ADMIN_ROLLE_DARF_ALLES, true), //
        create(MandantKonfigurationWerte.ADMIN_ROLLE_IGNORIERT_PRODUKTIONSMODUS, true), //
        create(MandantKonfigurationWerte.STANDARD_ROLLEN_ANPASSBAR, getDefaultStandardRollenAnpassbarArt().name()) //
    );
  }

  protected StandardRollenAnpassbarArt getDefaultStandardRollenAnpassbarArt() {
    return StandardRollenAnpassbarArt.NICHT_ANPASSBAR_BEIM_START_AKTUALISIEREN; /*Wenn der Wert geändert wird, WES beachten(!)*/
  }
}
